Skip to content

Updates a draft sender in project
GA

Request

Updates a draft sender in project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

plusFriendIdstringrequired

The unique ID of the sender.

Bodyapplication/jsonrequired

Supported sender fields to update

statusstring(KakaotalkActionsEnum)

Create as draft or submit. Defaults to draft.

Default:"DRAFT"
Enum ValueDescription
DRAFT

Saves the pending changes as a draft without submitting them to the system.

SUBMIT

Submits the pending changes directly for processing.

detailsobject(KakaotalkInputUpdateSenderDetailsDto)

Sender details and information.

Example of full body to update a sender.

curl -i -X PATCH \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "status": "SUBMIT",
    "details": {
      "adminPhoneNo": "+48777777777",
      "name": "Test Name",
      "logoImage": "https://example-logo-image.com",
      "topLevelCategoryCode": "019",
      "midLevelCategoryCode": "0006",
      "subLevelCategoryCode": "0001"
    }
  }'

Responses

Updated sender in project

Bodyapplication/json
plusFriendIdstringrequired

PlusFriend ID

idstring

The unique ID of the sender.

statestring(KakaotalkSenderStatesEnum)

The current state of the sender.

Enum ValueDescription
ACTIVE

The sender identity is active and ready to dispatch messages.

BLOCKED

The sender identity is blocked and cannot be used for any operations.

INACTIVE

The sender identity exists within the system but is currently not active.

SUSPENDED

The sender identity has been temporarily suspended due to administrative or policy reasons.

VERIFYING

The sender identity is currently undergoing the compliance and verification process.

changesobject(KakaotalkSenderChangesDto)

Any pending changes to the sender.

detailsobject(KakaotalkSenderDetailsDto)

Sender details and information.

createdstring

The UTC Date Time in ISO 8601 for when the sender was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the sender was last modified.

Response

Response when successfully update a sender.

{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "plusFriendId": "5WY5zKfY3pB56EmDVUPQ", "state": "ACTIVE", "changes": { "status": "REJECTED", "details": { … } }, "details": { "adminPhoneNo": "+48777777777", "name": "Test Name", "logoImage": "https://example-logo-image.com", "topLevelCategoryCode": "019", "midLevelCategoryCode": "0006", "subLevelCategoryCode": "0001" }, "created": "2023-02-23T11:28:51.194Z", "modified": "2023-02-23T11:28:51.194Z" }